Trustpilot Company Review
Trustpilot Company Review 用于获取 Trustpilot 企业评论详情。
- 按企业评论页链接抓取评论数据
- 支持按页码连续读取评论页
- 返回企业概况、评分分布和评论列表
- 适合做品牌口碑监测和定制化评价数据整理
使用 XCrawl 获取 Trustpilot 企业评论
使用方式
curl -s -X POST 'https://run.xcrawl.com/v1/data' \
-H 'Authorization: Bearer $XCRAWL_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"engine": "trustpilot_company_review",
"location": "US",
"company_reviews_url_list": ["https://www.trustpilot.com/review/iproyal.com"],
"start_page": 1,
"pages": 1
}'请求参数说明:
engine固定为trustpilot_company_reviewlocation用于指定抓取地区company_reviews_url_list用于传入一个或多个企业评论页链接start_page用于指定起始页码pages用于指定抓取页数
响应示例
{
"result": [
{
"company_name": "IPRoyal",
"company_rating": 4.6,
"total_reviews": 3295,
"reviews": [
{
"title": "I had a great experience with IPRoyal…",
"rating": 5,
"consumer_name": "Nando BR"
}
]
}
]
}参数说明
必填参数
| 参数 | 类型 | 说明 |
|---|---|---|
location | string | 指定抓取地区。 |
company_reviews_url_list | array | 传入一个或多个 Trustpilot 企业评论页链接。 |
start_page | number | 起始页码。 |
pages | number | 抓取页数。 |
参数补充说明
location默认值为USstart_page默认值为1pages默认值为1
响应字段
响应数据位于 result[]。
| 字段 | 类型 | 说明 |
|---|---|---|
url | string | 当前企业评论页地址。 |
current_page | number | 当前页码。 |
total_pages | number | 总页数。 |
company_name | string | 企业名称。 |
company_website_url | string | 企业官网地址。 |
company_country | string | 企业所在国家或地区。 |
total_reviews | number | 评论总数。 |
company_rating | number | 企业评分。 |
reviews | array | 评论列表。 |
similar_company_units | array | 相似企业列表。 |
评论字段
reviews[] 中每个元素包含以下字段:
| 字段 | 类型 | 说明 |
|---|---|---|
id | string | 评论 ID。 |
title | string | 评论标题。 |
text | string | 评论正文。 |
rating | number | 评论评分。 |
consumer_name | string | 评论用户名称。 |
language | string | 评论语言。 |
country_code | string | 评论用户所在国家或地区。 |
reply_message | string | 商家回复内容。 |
experienced_date | string | 消费发生日期。 |
